Download it now!
Bug 138741 - FILESAVE XLSX Crash if Spreadsheet contain external reference that is not used in cells
Summary: FILESAVE XLSX Crash if Spreadsheet contain external reference that is not use...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Attila Szűcs
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-08 15:29 UTC by NISZ LibreOffice Team
Modified: 2020-12-16 11:14 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
testfile with external reference that crash when exporting to xlsx (5.87 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2020-12-08 15:33 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-12-08 15:29:26 UTC
Description:
Exporting Spreadsheet with external file references may result in libreoffice crash, if the file is not referenced by any cells.
The crash introduced by: https://gerrit.libreoffice.org/c/core/+/106895/5/sc/source/ui/docshell/externalrefmgr.cxx#2759

Steps to Reproduce:
1.Open fdo88737-SQRT.xlsx (no need to allow updating)
2.Save as xlsx


Actual Results:
It crash when exporting to xlsx.

Expected Results:
save the file without crashing


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.2.0.0.alpha0+ (x64)
Build ID: d7ddc292b94583942d4990e132bd08bcaee9edf2
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: en-US (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-12-08 15:33:20 UTC
Created attachment 167980 [details]
testfile with external reference that crash when exporting to xlsx
Comment 2 m.a.riosv 2020-12-09 01:26:36 UTC
No issue
Version: 7.2.0.0.alpha0+ (x64)
Build ID: 796c7f612603490dda9277ced0f6ab3cce3bc116
CPU threads: 4; OS: Windows 10.0 Build 20180; UI render: Skia/Vulkan; VCL: win
Locale: es-ES (es_ES); UI: en-US Calc: CL
Comment 3 Commit Notification 2020-12-09 19:26:18 UTC
Attila Szűcs committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8cfe270258d914e154b9db8b6ad02cd923984435

tdf#138741 XLSX export: fix crash in setSkipUnusedFileIds

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-12-10 09:49:47 UTC
Attila Szűcs committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/172b81479451f0af2978dfa2eba1f9d105b946c9

tdf#138741 XLSX export: fix crash in setSkipUnusedFileIds

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.